%define pypi_name cloud-sptheme
%define srcname cloud_sptheme

%global post	post20200504175005

%define rel	2

Name:           python-%{pypi_name}
Version:        1.10.1
Release:        %mkrel %{?post:1.%{post}.}%{rel}
License:        GPLv3+
Summary:        Python cloud theme for sphinx
Group:          Development/Python
Url:		https://cloud-sptheme.readthedocs.io/
Source:         %{pypi_source %{srcname} %{version}%{?post:.%post}}
BuildArch:	noarch
BuildRequires:  python3-sphinx

%description
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%package -n python3-%{pypi_name}
Summary:        Python3 cloud theme for sphinx
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 1.10.0

%description -n python3-%{pypi_name}
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%prep
%setup -q -n %{srcname}-%{version}%{?post:.%post}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGES README


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 1.10.1-1.post20200504175005.2.mga10
+ Revision: 2156593
- rebuild for python 3.13

* Fri Jul 05 2024 wally <wally> 1.10.1-1.post20200504175005.1.mga10
+ Revision: 2079876
- new version 1.10.1^post20200504175005

* Sun Jun 30 2024 wally <wally> 1.10.0-1.mga10
+ Revision: 2078291
- new version 1.10.0
- fix and normalize pkg names to follow PEP 503

* Sat Dec 16 2023 papoteur <papoteur> 1.9.4-8.mga10
+ Revision: 2018473
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.9.4-7.mga9
+ Revision: 1832705
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.9.4-6.mga9
+ Revision: 1780001
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.9.4-5.mga9
+ Revision: 1732783
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9.4-4.mga8
+ Revision: 1533980
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.9.4-3.mga8
+ Revision: 1446288
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 1.9.4-2.mga8
+ Revision: 1427273
- drop python2 support
- fix description
- update url

* Tue Jan 08 2019 shlomif <shlomif> 1.9.4-1.mga7
+ Revision: 1352172
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-3.mga7
+ Revision: 1288419
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-2.mga7
+ Revision: 1135341
- Rebuild for python 3.6
+ bcornec <bcornec>
- update to upstream python-cloud_sptheme 1.8.0

* Fri Feb 19 2016 umeabot <umeabot> 1.6-7.mga6
+ Revision: 971024
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.6-6.mga6
+ Revision: 889018
- rebuild for python 3.5

* Sat Oct 10 2015 tv <tv> 1.6-5.mga6
+ Revision: 888808
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 748933
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-3.mga5
+ Revision: 728186
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-2.mga5
+ Revision: 687935
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 bcornec <bcornec> 1.6-1.mga5
+ Revision: 674592
- Update a missing description for python3 package
- Adds a forgotten sha1 file
-Import python-cloud_sptheme to build python-hpilo doc
- Created package structure for python-cloud_sptheme.

